cxf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Daniel Kulp (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CXF-4853) There is no backwards compatibility between version 2.5.2 and 2.7.3
Date Tue, 26 Feb 2013 02:24:12 GMT

    [ https://issues.apache.org/jira/browse/CXF-4853?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13586640#comment-13586640
] 

Daniel Kulp commented on CXF-4853:
----------------------------------


To expand on what Freeman said...

I just added that to the 2.6 migration guide this morning.  So THAT part of this report was
certainly valid.  It should have been mentioned there.   

For the most part, this move was done as part of breaking the big bundle into smaller bundles
and removing dependencies on the tooling from the runtime. These particular classes were not
part of the "public" API's (the JAX-WS API's and the stuff in cxf-api) and thus not really
part of our compatibility efforts.   


                
> There is no backwards compatibility between version 2.5.2 and 2.7.3
> -------------------------------------------------------------------
>
>                 Key: CXF-4853
>                 URL: https://issues.apache.org/jira/browse/CXF-4853
>             Project: CXF
>          Issue Type: Bug
>    Affects Versions: 2.7.3
>            Reporter: Miguel Retuerto Alcocer
>              Labels: newbie
>
> If you have a bundle importing the package in version 2.5.2 org.apache.cxf.tools.common.extensions.soap
and change the version 2.7.3 for the package is called org.apache.cxf.binding. soap.wsdl.extensions.
This causes can not give backwards compatibility with third-party code developed in other
projects.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message